Name:           system76-scheduler
Version:        1.2.1
Release:        1%{?dist}
Summary:        System76 Scheduler daemon

License:        MPLv2.0
URL:            https://github.com/pop-os/system76-scheduler

VCS:        	git+https://github.com/mjakeman/system76-scheduler#ab8dd09aa1861075d8cc6895496654a02c115fe5:
Source:        	system76-scheduler-ab8dd09a.tar.gz

BuildRequires: rust
BuildRequires: cargo
BuildRequires: just
BuildRequires: systemd-rpm-macros  

%description
Auto-configure CFS and process priorities for improved desktop responsiveness 

%define debug_package %{nil}

%prep
%setup -T -b 0 -q -n system76-scheduler

# This will invoke `make` command in the directory with the extracted sources.
%build
EXECSNOOP_PATH=/usr/sbin/execsnoop-bpfcc just

# This will copy the files generated by the `make` command above into
# the installable rpm package.
%install
just rootdir=%{buildroot} install

# Do post-installation
%post
%systemd_post com.system76.Scheduler.service

# Do before uninstallation
%preun
%systemd_preun com.system76.Scheduler.service

# Do after uninstallation
%postun
%systemd_postun_with_restart com.system76.Scheduler.service

# This lists all the files that are included in the rpm package and that
# are going to be installed into target system where the rpm is installed.
%files
%{_bindir}/system76-scheduler
%{_sysconfdir}/system76-scheduler/config.ron
%{_sysconfdir}/system76-scheduler/assignments/default.ron
%{_sysconfdir}/system76-scheduler/exceptions/default.ron
%{_unitdir}/com.system76.Scheduler.service
%{_sysconfdir}/dbus-1/system.d/com.system76.Scheduler.conf

%changelog
* Fri May 27 2022 Matthew Jakeman <mjakeman26@outlook.co.nz>
- Update to major release 1.2.1
- Rewrite spec file to use tagged release
